


// den Bus noch initialiesieren. Bei mir am Portc. SCL =PC.0 SDA = PC.1

//Folgende Adresse wird schon 8 Bit codet
/*
codiert ->  
| 0 | 1 | 0 | 0 | A2 | A1 | A0 | R/W |  == 64 DEZ = 0x40
7-Bit  codiert als linksbndig 8 Bit + r/W 
*/
#define PCF8574_ADR_PREFIX	0x40 //0b01000000 //== 64 DEZ = 0x40 
#define PCF8574_ADR_WRITE	PCF8574_ADR_PREFIX //+0
#define PCF8574_ADR_READ 	(PCF8574_ADR_PREFIX + I2C_READ) // +1


#include <avr/sfr_defs.h>
#include <avr\io.h>
#include <util\delay.h>
#include <avr/wdt.h>
#include <avr\interrupt.h>
#include <stdlib.h>
#include <avr\pgmspace.h> // <--#include <progmem.h>
#include "main.h"
//#include "uartATM328.h"
//#include "uart.h"
//#include "Befehle.h"
//#include "max7219.h"
#include "debug.h"
#include "PCF8574.h"
#include "i2cmaster.h"

void PCF8574_Init(void)
{
i2c_init();
}



//ANWENDUNGSBEISPIEL
void PCF8574_Call(void)
{
static uint8_t u8Count;
i2c_start_wait(PCF8574_ADR_PREFIX + I2C_WRITE );
u8Count++;
u8Count %= 8;

if( i2c_write( (1<< u8Count) ) )
	{
	//uart_puts_p( PSTR("Write failed") ); 
	//uart_puts_p( PSTR(" Byte=") ); 
	//uart_puts(ByteToBin( (1<< u8Count) ) );
	//uart_putc( 13 );
	};
	
i2c_stop ();
};
